### STAGE 1: Build ###
FROM gradle:5.3.1-jdk8-alpine AS build
COPY --chown=gradle:gradle . /home/gradle/src
WORKDIR /home/gradle/src
RUN gradle build --no-daemon

### STAGE 2: Run ###
FROM openjdk:8-jre-slim

EXPOSE 8080

RUN mkdir -p /app

COPY --from=build /home/gradle/src/config.json /config.json

COPY --from=build /home/gradle/src/build/libs/*.jar /app/spring-boot-application.jar

ENTRYPOINT ["java", "-XX:+UnlockExperimentalVMOptions", "-XX:+UseCGroupMemoryLimitForHeap", "-Djava.security.egd=file:/dev/./urandom","-jar","/app/spring-boot-application.jar"]